Subject: [mpls] Rtg-Dir Last Call review of draft-ietf-mpls-spl-terminology-02.txt

From: Eric Gray <[email-masked]>
Date: Mon, 10 Aug 2020 16:53:27 +0000

Hello, 
I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir 

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft. 

Document: draft-ietf-mpls-spl-terminology-02.txt
Reviewer: Eric Gray
Review Date: 10 August, 2020
IETF LC End Date: 11 August, 2020
Intended Status: Informational

Summary:
This document is basically ready for publication, but has potential minor issues and nits that should be considered prior to publication.

Major Issues:
None

Minor Issues:
Possibly omitted reference in the introduction (see Nits below)?

Possible ambiguity about which registry is referred to in the latter part of section 2.1 (see Nits below)?

Nits:

In the 1st line of the 2nd paragraph of the Introduction, the word "use" appears twice in a row.

In the 4th paragraph of the introduction, RFC 3032 is separately listed twice (i.e. - with the name "RFC 3032", and the link to the reference in each case, it is actually listed 4 times).

Note: I am not sure, but this may be more than a Nit - if, for instance, the intention was to list a different RFC.  The paragraph claims the draft updates RFC 7274 and RFC 3032 - but RFC 7274 claims to update RFC 3038, RFC 3209, RFC 3811, RFC 4182, RFC 4928, RFC 5331, RFC 5586, RFC 5921, RFC 5960, RFC 6391, RFC 6478, and RFC 6790 as well.  

Possibly one of these other RFCs was also meant to be included?  This does not seem very likely, however, because only RFC 3032 and RFC 7274 are listed as updated on the cover page.

I assume only one "registry" is referred to in the last sentence of section 2.1 (and - in fact - in the entirety of section 2.1).  In earlier sentences, the registry is explicitly named, or referred to as "that registry."  In the final sentence, there are two references to a registry - one of which refers to "the registry" and the other to "that registry."

As a Nit, I suggest using "that registry" consistently - unless a different registry is actually referred to.

In the 4th bullet in section 3, "an bSPL" should probably be "a bSPL."

In the Security Considerations section, 1st paragraph - "establsihed" --> "established" and "doucment" --> "document."
2nd paragraph - "the potential" --> "potential" (awkward using a definite article with a possibility).

--
Eric

---

From: Loa Andersson <[email-masked]>
Date: Tue, 11 Aug 2020 18:41:04 +0800

Eric,

Tnx for comments, very useful.

I will await instructions from Deborah and the post an updated version.
Most of your are straightforward and will be updated as you  suggest.

Two small comments below.

On 11/08/2020 00:53, Eric Gray wrote:

The duplication of RFC 3202 is a typo.

> Note: I am not sure, but this may be more than a Nit - if, for instance, the intention was to list a different RFC.  The paragraph claims the draft updates RFC 7274 and RFC 3032 - but RFC 7274 clai…

What RFC 7274 does to the listed RFCs is to rename them from "Resereved
Labels" to "Special Purpose Labels"

The terminology draft aligns with this. First bullet in in Section 3
says:

    o  Collectively, the two ranges are known as Special Purpose Labels
       (SPL).

The changes in this draft and RFC 7274 are not overlapping.

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 11 Aug 2020 14:46:35 +0100

So I understand Eric's point about updates of updates.

We're updating 7274, and 7274 updated <insert long list here>, so surely we are updating <long list> as well.

What Loa says is that we are not updating the bit of 7274 that updated <long list>. He's right about that, but it is maybe not such a strong point. After all, someone directed from <member of list> to read 7274 might miss the wider material.

But I think that historically (Deborah to confirm) "updates" is only used for direct updating. That is, the reader is expected to walk through the chain of documents by finding "<member of list> is updated by 7274" and also finding "7274 is updated by [This.I-D]".

(This might all be different if we were obsoleting 7274, but we're not 😊)

A
-----Original Message-----
From: Loa Andersson <[email-masked]> 
Sent: 11 August 2020 11:41
To: Eric Gray <eric.gray=[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [mpls] Rtg-Dir Last Call review of draft-ietf-mpls-spl-terminology-02.txt

Eric,

/Loa

--

---

From: Eric Gray <[email-masked]>
Date: Wed, 12 Aug 2020 12:06:17 +0000

Yeah, I pretty much assumed the duplication was a typo - but I wanted to check that it was a simple duplication, rather than a cut-and-paste error.

-----Original Message-----
From: Loa Andersson <[email-masked]> 
Sent: Tuesday, August 11, 2020 6:41 AM
To: Eric Gray <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [mpls] Rtg-Dir Last Call review of draft-ietf-mpls-spl-terminology-02.txt
Importance: High

Eric,

> Note: I am not sure, but this may be more than a Nit - if, for instance, the intention was to list a different RFC.  The paragraph claims the draft updates RFC 7274 and RFC 3032 - but RFC 7274 clai…

What RFC 7274 does to the listed RFCs is to rename them from "Resereved Labels" to "Special Purpose Labels"

/Loa

--

---

From: "BRUNGARD, DEBORAH A" <[email-masked]>
Date: Wed, 12 Aug 2020 17:08:49 +0000

Agree with Loa's interpretation of "update" and Adrian's, I don't think it is helpful to a reader to be directed to read a long string of RFCs by this RFC. Of course, the IESG may question (as history has shown) our definition, but this is consistent with our approach on our RFCs.

Thanks Eric for double checking - and your careful review!
Deborah

-----Original Message-----
From: Adrian Farrel <[email-masked]> 
Sent: Tuesday, August 11, 2020 9:47 AM
To: 'Loa Andersson' <[email-masked]>; 'Eric Gray' <eric.gray=[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [mpls] Rtg-Dir Last Call review of draft-ietf-mpls-spl-terminology-02.txt

A
-----Original Message-----
From: Loa Andersson <[email-masked]> 
Sent: 11 August 2020 11:41
To: Eric Gray <eric.gray=[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [mpls] Rtg-Dir Last Call review of draft-ietf-mpls-spl-terminology-02.txt

Eric,

/Loa

--

---

From: Loa Andersson <[email-masked]>
Date: Thu, 13 Aug 2020 02:21:10 +0800

Deborah,

I have posted version -03, it should be ready for IETF Last Call.

https://datatracker.ietf.org/doc/draft-ietf-mpls-spl-terminology/

/Loa

--